| NUC029FAE BSP V3.01.002 The Board Support Package for NUC029FAE

Data Fields
UART_T Struct Reference
NUC029FAE Control Register » Universal Asynchronous Receiver/Transmitter Controller(UART)

`#include <NUC029FAE.h>`

## Data Fields
union {
__I uint32_t RBR
__O uint32_t THR
}; |
__IO uint32_t | IER
__IO uint32_t | FCR
__IO uint32_t | LCR
__IO uint32_t | MCR
__IO uint32_t | MSR
__IO uint32_t | FSR
__IO uint32_t | ISR
__IO uint32_t | TOR
__IO uint32_t | BAUD
__IO uint32_t | IRCR
__IO uint32_t | ALT_CSR
__IO uint32_t | FUN_SEL

## Detailed Description

Definition at line 2867 of file NUC029FAE.h.

## Field Documentation

## ◆ @1

union { ... }

## ◆ ALT_CSR

__IO uint32_t UART_T::ALT_CSR

Offset: 0x002C UART Alternate Control/Status Register

Definition at line 2884 of file NUC029FAE.h.

## ◆ BAUD

__IO uint32_t UART_T::BAUD

Offset: 0x0024 UART Baud Rate Divisor Register

Definition at line 2882 of file NUC029FAE.h.

## ◆ FCR

__IO uint32_t UART_T::FCR

Offset: 0x0008 UART FIFO Control Register

Definition at line 2875 of file NUC029FAE.h.

## ◆ FSR

__IO uint32_t UART_T::FSR

Offset: 0x0018 UART FIFO Status Register

Definition at line 2879 of file NUC029FAE.h.

## ◆ FUN_SEL

__IO uint32_t UART_T::FUN_SEL

Offset: 0x0030 UART Function Select Register

Definition at line 2885 of file NUC029FAE.h.

## ◆ IER

__IO uint32_t UART_T::IER

Offset: 0x0004 UART Interrupt Enable Register

Definition at line 2874 of file NUC029FAE.h.

## ◆ IRCR

__IO uint32_t UART_T::IRCR

Offset: 0x0028 UART IrDA Control Register

Definition at line 2883 of file NUC029FAE.h.

## ◆ ISR

__IO uint32_t UART_T::ISR

Offset: 0x001C UART Interrupt Status Register

Definition at line 2880 of file NUC029FAE.h.

## ◆ LCR

__IO uint32_t UART_T::LCR

Offset: 0x000C UART Line Control Register

Definition at line 2876 of file NUC029FAE.h.

## ◆ MCR

__IO uint32_t UART_T::MCR

Offset: 0x0010 UART Modem Control Register

Definition at line 2877 of file NUC029FAE.h.

## ◆ MSR

__IO uint32_t UART_T::MSR

Offset: 0x0014 UART Modem Status Register

Definition at line 2878 of file NUC029FAE.h.

## ◆ RBR

__I uint32_t UART_T::RBR

Offset: 0x0000 UART Receive Buffer Register

Definition at line 2871 of file NUC029FAE.h.

## ◆ THR

__O uint32_t UART_T::THR

Offset: 0x0000 UART Transmit Holding Register

Definition at line 2872 of file NUC029FAE.h.

## ◆ TOR

__IO uint32_t UART_T::TOR

Offset: 0x0020 UART Time-out Register

Definition at line 2881 of file NUC029FAE.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nuc029faebsp/Library/Device/Nuvoton/NUC029FAE/Include/NUC029FAE.h